FROM openjdk:8-alpine

# install dependencies
RUN apk --no-cache add lftp

# copy jar, properties
COPY target/java-worker*.jar ./java-worker.jar
COPY docker/application.properties ./application.properties

# copy ontologies
COPY submodules/ontology/*.ttl ./ontology/
COPY submodules/ontology/thesaurus/*.ttl ./ontology/thesaurus/
COPY submodules/extra-ontologies/*.ttl ./ontology/

# go !
CMD ["java", "-jar", "java-worker.jar", "start-worker"]

